KubernetesMembershipProvider (Apache Tomcat 9.0.22 API Documentation)

org.apache.catalina.tribes.membership.cloud

## Class KubernetesMembershipProvider

- java.lang.Object
- - org.apache.catalina.tribes.membership.MembershipProviderBase
  - - org.apache.catalina.tribes.membership.cloud.CloudMembershipProvider
    - - org.apache.catalina.tribes.membership.cloud.KubernetesMembershipProvider

- All Implemented Interfaces:
    ChannelListener, Heartbeat, MembershipProvider

      public class KubernetesMembershipProvider
      extends CloudMembershipProvider

- - ### Field Summary

    - ### Fields inherited from class org.apache.catalina.tribes.membership.cloud.CloudMembershipProvider

      `connectionTimeout, expirationTime, headers, localIp, md5, port, readTimeout, sm, startTime, streamProvider, url`

    - ### Fields inherited from class org.apache.catalina.tribes.membership.MembershipProviderBase

      `executor, membership, membershipListener, service`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KubernetesMembershipProvider()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Member[]` | `fetchMembers()` Fetch current cluster members from the cloud orchestration.
    `protected void` | `parsePods(java.io.Reader reader, java.util.List<MemberImpl> members)`
    `void` | `start(int level)`
    `boolean` | `stop(int level)`

    - ### Methods inherited from class org.apache.catalina.tribes.membership.cloud.CloudMembershipProvider

      `accept, getEnv, heartbeat, init, messageReceived`

    - ### Methods inherited from class org.apache.catalina.tribes.membership.MembershipProviderBase

      `getMember, getMembers, hasMembers, setMembershipListener, setMembershipService`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.catalina.tribes.ChannelListener

      `equals, hashCode`

- - ### Constructor Detail

    - #### KubernetesMembershipProvider

          public KubernetesMembershipProvider()

  - ### Method Detail

    - #### start

          public void start(int level)
                     throws java.lang.Exception

      Specified by:
        `start` in interface `MembershipProvider`
      Overrides:
        `start` in class `CloudMembershipProvider`
      Throws:
        `java.lang.Exception`

    - #### stop

          public boolean stop(int level)
                       throws java.lang.Exception

      Specified by:
        `stop` in interface `MembershipProvider`
      Overrides:
        `stop` in class `CloudMembershipProvider`
      Throws:
        `java.lang.Exception`

    - #### fetchMembers

          protected Member[] fetchMembers()

      Description copied from class: `CloudMembershipProvider`
      Fetch current cluster members from the cloud orchestration.
      Specified by:
        `fetchMembers` in class `CloudMembershipProvider`
      Returns:
        the member array

    - #### parsePods

          protected void parsePods(java.io.Reader reader,
                                   java.util.List<MemberImpl> members)

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.